Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdContentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.placeholder.ContentException
                      com.bea.p13n.ad.AdContentException

All Implemented Interfaces
  Serializable

    public class AdContentException

extends ContentException

Implements an exception throw by the Ad services when there is a problem with the content

See Also
  Serialized Form

Constructor Summary
`AdContentException()` Constructor
`AdContentException(boolean isWarning)` Constructor
`AdContentException(String msg)` Constructor.
`AdContentException(String msg, boolean isWarning)` Constructor.
`AdContentException(String msg, Exception source)` Constructor.
`AdContentException(String msg, Exception source, boolean isWarning)` Constructor.

Method Summary

Methods inherited from class com.bea.p13n.placeholder.ContentException
`getSourceException, isWarning, setWarning`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdContentException

    public AdContentException()

  Constructor

### AdContentException

    public AdContentException(String msg)

  Constructor.

  Parameters
    `msg` - the message.

### AdContentException

    public AdContentException(String msg,
                              Exception source)

  Constructor.

  Parameters
    `msg` - the message.
    `source` - the exception which is the source of this exception.

### AdContentException

    public AdContentException(boolean isWarning)

  Constructor

### AdContentException

    public AdContentException(String msg,
                              boolean isWarning)

  Constructor.

  Parameters
    `msg` - the message.

### AdContentException

    public AdContentException(String msg,
                              Exception source,
                              boolean isWarning)

  Constructor.

  Parameters
    `msg` - the message.
    `source` - the exception which is the source of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.